summaryrefslogtreecommitdiffstats
path: root/source.local/a/e2fsprogs
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2013-03-22 16:47:17 -0700
committer Eric Hameleers <alien@slackware.com>2013-03-22 16:47:17 -0700
commit69dd99f961988fa15da8d7f0d63b62f3385419c3 (patch)
treed57eb3e85e1d08e7815787de26946ee42c398b66 /source.local/a/e2fsprogs
downloadalienarm-69dd99f961988fa15da8d7f0d63b62f3385419c3.tar.gz
alienarm-69dd99f961988fa15da8d7f0d63b62f3385419c3.tar.xz
Initial commit of a Slackware cross-arch bootstrap framework.
Diffstat (limited to 'source.local/a/e2fsprogs')
-rw-r--r--source.local/a/e2fsprogs/doinst.sh.gzbin0 -> 325 bytes
-rw-r--r--source.local/a/e2fsprogs/e2fsprogs-1.42.6.tar.signbin0 -> 543 bytes
-rwxr-xr-xsource.local/a/e2fsprogs/e2fsprogs.SlackBuild177
-rw-r--r--source.local/a/e2fsprogs/slack-desc19
4 files changed, 196 insertions, 0 deletions
diff --git a/source.local/a/e2fsprogs/doinst.sh.gz b/source.local/a/e2fsprogs/doinst.sh.gz
new file mode 100644
index 0000000..111113b
--- /dev/null
+++ b/source.local/a/e2fsprogs/doinst.sh.gz
Binary files differ
diff --git a/source.local/a/e2fsprogs/e2fsprogs-1.42.6.tar.sign b/source.local/a/e2fsprogs/e2fsprogs-1.42.6.tar.sign
new file mode 100644
index 0000000..6558e77
--- /dev/null
+++ b/source.local/a/e2fsprogs/e2fsprogs-1.42.6.tar.sign
Binary files differ
diff --git a/source.local/a/e2fsprogs/e2fsprogs.SlackBuild b/source.local/a/e2fsprogs/e2fsprogs.SlackBuild
new file mode 100755
index 0000000..5d8b576
--- /dev/null
+++ b/source.local/a/e2fsprogs/e2fsprogs.SlackBuild
@@ -0,0 +1,177 @@
+#!/bin/sh
+
+# Copyright 2008, 2009, 2010, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified 2012 by Eric Hameleers <alien at slackware.com> for ARM port.
+
+
+VERSION=${VERSION:-$(echo e2fsprogs*.tar.?z* | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+case "$ARCH" in
+ arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+ *) TARGET=$ARCH-slackware-linux ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-e2fsprogs
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf e2fsprogs-$VERSION
+tar xvf $CWD/e2fsprogs-$VERSION.tar.?z* || exit 1
+cd e2fsprogs-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Disable libblkid and libuuid, as we'll be using the ones in u-l-ng
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix= \
+ --libdir=/lib${LIBDIRSUFFIX} \
+ --bindir=/usr/bin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/e2fsprogs-$VERSION \
+ --enable-elf-shlibs \
+ --disable-libblkid \
+ --disable-libuuid \
+ --disable-uuidd \
+ --build=$TARGET
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+make install-libs DESTDIR=$PKG || exit 1
+
+# I guess Ted would rather not have this included, so we won't.
+# ( cd misc
+# make findsuper
+# cat findsuper > $PKG/sbin/findsuper
+# chmod 0755 $PKG/sbin/findsuper )
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Don't clobber an existing config file
+mv $PKG/etc/mke2fs.conf $PKG/etc/mke2fs.conf.new
+
+# Fix up package:
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}
+mv $PKG/lib${LIBDIRSUFFIX}/pkgconfig $PKG/lib${LIBDIRSUFFIX}/*.so \
+ $PKG/usr/lib${LIBDIRSUFFIX}
+( cd $PKG/usr/lib${LIBDIRSUFFIX}
+ for i in *.so ; do
+ ln -sf /lib${LIBDIRSUFFIX}/$(readlink $i) $i ;
+ done
+)
+# findfs is intentionally left out here - we use the one in util-linux-ng
+( cd $PKG/sbin
+ rm -f \
+ mkfs.ext2 mkfs.ext3 mkfs.ext4 mkfs.ext4dev \
+ fsck.ext2 fsck.ext3 fsck.ext4dev e2label findfs
+ ln -sf mke2fs mkfs.ext2
+ ln -sf mke2fs mkfs.ext3
+ ln -sf mke2fs mkfs.ext4
+ ln -sf mke2fs mkfs.ext4dev
+ ln -sf tune2fs e2label
+ cat << EOF > fsck.ext2
+#!/bin/sh
+exec /sbin/e2fsck -C 0 \$*
+EOF
+ chmod 0755 fsck.ext2
+ # Why won't symlinks work here? --RW
+ # Because $0 will always be "fsck.ext2" in that case. --PJV
+ # rworkman is correct, so ignore the previous two comments :) --PJV
+ cp -a fsck.ext2 fsck.ext3
+ cp -a fsck.ext2 fsck.ext4
+ cp -a fsck.ext2 fsck.ext4dev
+)
+( cd $PKG/usr/man/man8
+ rm -f fsck.ext2.8 fsck.ext3.8 mkfs.ext2.8 mkfs.ext3.8 \
+ mkfs.ext4.8 mkfs.ext4dev.8
+ ln -sf e2fsck.8 fsck.ext2.8
+ ln -sf e2fsck.8 fsck.ext3.8
+ ln -sf e2fsck.8 fsck.ext4.8
+ ln -sf e2fsck.8 fsck.ext4dev.8
+ ln -sf mke2fs.8 mkfs.ext2.8
+ ln -sf mke2fs.8 mkfs.ext3.8
+ ln -sf mke2fs.8 mkfs.ext4.8
+ ln -sf mke2fs.8 mkfs.ext4dev.8
+)
+
+# Compress and link manpages
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/e2fsprogs-$VERSION
+cp -a \
+ COPYING* INSTALL INSTALL.elfbin README* RELEASE-NOTES SHLIBS \
+ $PKG/usr/doc/e2fsprogs-$VERSION
+chmod 644 $PKG/usr/doc/e2fsprogs-$VERSION/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/e2fsprogs-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source.local/a/e2fsprogs/slack-desc b/source.local/a/e2fsprogs/slack-desc
new file mode 100644
index 0000000..e35c02a
--- /dev/null
+++ b/source.local/a/e2fsprogs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+e2fsprogs: e2fsprogs (ext2 and ext3 filesystems utilities)
+e2fsprogs:
+e2fsprogs: Utilities needed to create and maintain ext2 and ext3 filesystems.
+e2fsprogs:
+e2fsprogs: These utilities were written by Remy Card (the developer and
+e2fsprogs: maintainer of the ext2 fs) and Theodore T'so.
+e2fsprogs:
+e2fsprogs:
+e2fsprogs:
+e2fsprogs:
+e2fsprogs: